Summary:   Fedora AppStream metadata
Name:      appstream-data
Version:   25
Release:   23%{?dist}
BuildArch: noarch
License:   CC0 and CC-BY and CC-BY-SA and GFDL
URL:       https://github.com/hughsie/createrepo_as
Source1:   https://dl.fedoraproject.org/pub/alt/screenshots/f25/fedora-%{version}.xml.gz
Source2:   https://dl.fedoraproject.org/pub/alt/screenshots/f25/fedora-%{version}-icons.tar.gz
Source3:   https://raw.githubusercontent.com/hughsie/fedora-appstream/master/appstream-extra/adobe-flash.xml
Source4:   https://raw.githubusercontent.com/hughsie/fedora-appstream/master/appstream-extra/gstreamer-non-free.xml
Source5:   https://raw.githubusercontent.com/hughsie/fedora-appstream/master/appstream-extra/other-repos.xml
Source6:   https://raw.githubusercontent.com/hughsie/fedora-appstream/master/appstream-extra/webapps.xml
Source7:   https://raw.githubusercontent.com/hughsie/fedora-appstream/master/appstream-extra/fedora-categories.xml
Source8:   https://raw.githubusercontent.com/hughsie/fedora-appstream/master/appstream-extra/fedora-popular.xml
Source9:   https://raw.githubusercontent.com/hughsie/fedora-appstream/master/appstream-extra/steam-oars.xml

BuildRequires: libappstream-glib

%description
This package provides the distribution specific AppStream metadata required
for the GNOME and KDE software centers. The upstream data is built weekly using
createrepo_as and the extra data in fedora-appstream.

%install

DESTDIR=%{buildroot} appstream-util install-origin fedora %{SOURCE1} %{SOURCE2}
DESTDIR=%{buildroot} appstream-util install \
	%{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} %{SOURCE7} %{SOURCE8} %{SOURCE9}

%check
if ! gunzip -c %{buildroot}%{_datadir}/app-info/xmls/fedora.xml.gz | grep -q '<pkgname>gstreamer1-plugin-openh264</pkgname>' ; then
    echo "missing gstreamer1-plugin-openh264"
    exit 1
fi

%files
%attr(0644,root,root) %{_datadir}/app-info/xmls/*
%{_datadir}/app-info/icons/fedora/*/*.png
%dir %{_datadir}/app-info
%dir %{_datadir}/app-info/icons
%dir %{_datadir}/app-info/icons/fedora
%dir %{_datadir}/app-info/icons/fedora/64x64
%dir %{_datadir}/app-info/icons/fedora/128x128
%dir %{_datadir}/app-info/xmls

%changelog
* Wed Nov 29 2017 Kalev Lember <klember@redhat.com> 25-23
- New metadata version

* Thu Aug 31 2017 Kalev Lember <klember@redhat.com> 25-22
- New metadata version

* Fri Aug 04 2017 Kalev Lember <klember@redhat.com> 25-21
- New metadata version

* Fri Jul 21 2017 Kalev Lember <klember@redhat.com> 25-20
- New metadata version

* Wed Jun 14 2017 Kalev Lember <klember@redhat.com> 25-19
- New metadata version

* Tue Apr 11 2017 Kalev Lember <klember@redhat.com> 25-18
- New metadata version

* Mon Mar 06 2017 Kalev Lember <klember@redhat.com> 25-17
- New metadata version

* Tue Feb 07 2017 Kalev Lember <klember@redhat.com> 25-16
- New metadata version

* Mon Jan 23 2017 Kalev Lember <klember@redhat.com> 25-15
- New metadata version

* Mon Jan 16 2017 Kalev Lember <klember@redhat.com> 25-14
- Add gstreamer1-plugin-mpg123 metadata

* Mon Jan 09 2017 Kalev Lember <klember@redhat.com> 25-13
- New metadata version

* Fri Dec 30 2016 Kalev Lember <klember@redhat.com> 25-12
- New metadata version

* Wed Dec 21 2016 Kalev Lember <klember@redhat.com> 25-11
- New metadata version

* Tue Dec 20 2016 Kalev Lember <klember@redhat.com> 25-10
- New metadata version

* Sun Dec 04 2016 Kalev Lember <klember@redhat.com> 25-9
- New metadata version

* Mon Oct 17 2016 Richard Hughes <richard@hughsie.com> 25-8
- New metadata version

* Fri Oct 14 2016 Richard Hughes <richard@hughsie.com> 25-7
- New metadata version
- Add Steam OARS overrides

* Mon Sep 19 2016 Richard Hughes <richard@hughsie.com> 25-6
- New metadata version

* Tue Aug 09 2016 Richard Hughes <richard@hughsie.com> 25-5
- New metadata version

* Sun Jun 12 2016 Richard Hughes <richard@hughsie.com> 25-4
- New metadata version

* Thu May 26 2016 Richard Hughes <richard@hughsie.com> 25-3
- Add the Fedora-specific popular metadata

* Thu May 26 2016 Kalev Lember <klember@redhat.com> 25-2
- New metadata version
- Add a test for gstreamer1-plugin-openh264

* Wed Apr 27 2016 Richard Hughes <richard@hughsie.com> 25-1
- New metadata version

* Mon Feb 15 2016 Richard Hughes <richard@hughsie.com> 24-4
- New metadata version

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 24-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Dec 16 2015 Richard Hughes <richard@hughsie.com> 24-2
- New metadata version

* Wed Aug 19 2015 Richard Hughes <richard@hughsie.com> 24-1
- New metadata version

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 23-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue May 26 2015 Richard Hughes <richard@hughsie.com> 23-2
- New metadata version
- Fix the installed icon location for the new origin value

* Mon May 11 2015 Richard Hughes <richard@hughsie.com> 23-1
- New metadata version
- Debundle the appstream-extra files

* Thu Apr 23 2015 Richard Hughes <richard@hughsie.com> 22-7
- New metadata version.

* Fri Mar 20 2015 Kalev Lember <kalevlember@gmail.com> 22-6
- New metadata version.

* Wed Mar 04 2015 Richard Hughes <richard@hughsie.com> 22-5
- New metadata version, this time with all the icons.

* Tue Feb 24 2015 Richard Hughes <richard@hughsie.com> 22-4
- New metadata version.

* Mon Sep 29 2014 Richard Hughes <richard@hughsie.com> 22-3
- Ship HiDPI icons, harder

* Mon Sep 29 2014 Richard Hughes <richard@hughsie.com> 22-2
- Ship HiDPI icons

* Thu Jul 17 2014 Richard Hughes <richard@hughsie.com> 22-1
- New metadata version number, data unchanged.

* Wed Jul 02 2014 Richard Hughes <richard@hughsie.com> 21-5
- New metadata version with source screenshots.

* Mon Jun 30 2014 Richard Hughes <richard@hughsie.com> 21-4
- New metadata version that passes xmllint.

* Thu Jun 19 2014 Richard Hughes <richard@hughsie.com> 21-3
- New metadata version.

* Wed Jun 11 2014 Richard Hughes <richard@hughsie.com> 21-2
- Own the correct directories
- Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=1107802#c5

* Tue Jun 10 2014 Richard Hughes <richard@hughsie.com> 21-1
- Initial version for Fedora package review
